Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IDPObject Class Reference

`#include <PluginCommon.hpp>`

List of all members.

## Public Member Functions
virtual | ~IDPObject ()
| Destructor.
virtual DWORD | GetFlags ()=0
virtual BOOL | HasFlags (DWORD Flags)=0
virtual IDPResult | SetFlags (DWORD Flags)=0
virtual void | OnEvent (int Event, DWORD Param1, DWORD Param2)=0
virtual void | OnCommand (deString *sCommand)=0
virtual IDPResult | GetPropertyNames (deString *Name)=0
virtual IDPResult | GetPropertyDetails (const char *Name, IDPObjectProperty *Property)=0
virtual IDPResult | SetProperty (const char *Name, deString *Value)=0
virtual IDPResult | SetProperty (const char *Name, int Value)=0
virtual IDPResult | SetProperty (const char *Name, double Value)=0
virtual IDPResult | SetProperty (const char *Name, DWORD Value)=0
virtual IDPResult | GetProperty (const char *Name, deString *Value)=0
virtual IDPResult | GetProperty (const char *Name, int *Value)=0
virtual IDPResult | GetProperty (const char *Name, double *Value)=0
virtual IDPResult | GetProperty (const char *Name, DWORD *Value)=0
virtual BOOL | SupportsInterface (const char *InterfaceName)=0

## Detailed Description

IDPObject Interface. This interface is used to implement a Scene Object in the editor's scene. Scene Objects can be pretty much anything, but in basic terms, it is an instance of an object that exists in some form in the scene (rendered or not) and exposes 0 or more properties which the user may or may not be able to see or edit. Flexible enough for you? :p

## Constructor & Destructor Documentation

virtual IDPObject::~IDPObject | ( |  | ) | `[inline, virtual]`

| Destructor.

## Member Function Documentation

virtual DWORD IDPObject::GetFlags | ( |  | ) | `[pure virtual]`

virtual IDPResult IDPObject::GetProperty | ( | const char * | Name,
|  | DWORD * | Value
| ) | `[pure virtual]`

virtual IDPResult IDPObject::GetProperty | ( | const char * | Name,
|  | double * | Value
| ) | `[pure virtual]`

virtual IDPResult IDPObject::GetProperty | ( | const char * | Name,
|  | int * | Value
| ) | `[pure virtual]`

virtual IDPResult IDPObject::GetProperty | ( | const char * | Name,
|  | deString * | Value
| ) | `[pure virtual]`

virtual IDPResult IDPObject::GetPropertyDetails | ( | const char * | Name,
|  | IDPObjectProperty * | Property
| ) | `[pure virtual]`

  | Used to retrieve details on a specific property. This method is used to retrive the details on a property such as what control it uses, native data type, and help text prompt Returns: IDPResult code Parameters:
  Name | deString pointer to the name of the property on which details should be returned
  Property | Pointer to a IDPObjectProperty struct which should be filled in for this property

virtual IDPResult IDPObject::GetPropertyNames | ( | deString * | Name | ) | `[pure virtual]`

  | Used to retrive a semicolon delimitted list of valid object properies. Returns: IDPResult code Parameters:
  Name | pointer to a deString which will be filled by the plugin with a semicolon delmitted list of properties
Note: The list must be delimtted with semicolons between each valid property. There should be no leading or trailing semicolon.

virtual BOOL IDPObject::HasFlags | ( | DWORD | Flags | ) | `[pure virtual]`

virtual void IDPObject::OnCommand | ( | deString * | sCommand | ) | `[pure virtual]`

| Callback for user hotkeyed commands. OnCommand() will be called by the interface whenever a hotkeyable command registerd by the plugin has been trigger by the user. param sCommand Name of the command that has been fired off as it was registered by the plugin initially

virtual void IDPObject::OnEvent | ( | int | Event,
|  | DWORD | Param1,
|  | DWORD | Param2
| ) | `[pure virtual]`

  | The callback for most all plugin events. OnEvent() is used for most all plugin events, such as frame calls, window resizing, context menus, etc. Parameters:
  Event | The event ID which caused this callback
  Param1 | DWRORD param used for passing event specific values
  Param2 | DWRORD param used for passing event specific values
Note: Information on specific parameter packign can be found documented with the specific event flag of interest. The plugin or object will only recieve a callback for the events it has enabled handlers for. See the IDPMEventHandler interface, and IDPManager::GetEventHandler() for more information on setting up event handlers.

virtual IDPResult IDPObject::SetFlags | ( | DWORD | Flags | ) | `[pure virtual]`

virtual IDPResult IDPObject::SetProperty | ( | const char * | Name,
|  | DWORD | Value
| ) | `[pure virtual]`

virtual IDPResult IDPObject::SetProperty | ( | const char * | Name,
|  | double | Value
| ) | `[pure virtual]`

virtual IDPResult IDPObject::SetProperty | ( | const char * | Name,
|  | int | Value
| ) | `[pure virtual]`

virtual IDPResult IDPObject::SetProperty | ( | const char * | Name,
|  | deString * | Value
| ) | `[pure virtual]`

virtual BOOL IDPObject::SupportsInterface | ( | const char * | InterfaceName | ) | `[pure virtual]`

  | Queries the interface to determine if a specified interface is supported. At the present time there is only one revision level in each interface, and this is not used. This function is for future expansion. Returns: TRUE if the interface specified is supported, or FALSE if not Parameters:
  InterfaceName | Name of the interface to query for

The documentation for this class was generated from the following file:

- PluginCommon.hpp